News

RISOLUZIONE PROBLEMATICHE CONTACT FORM 7

sicurezza
IT Security

VULNERABILITÀ DEL PLUGIN CONTACT FORM 7 DI WORDPRESS

Gli sviluppatori del plugin Contact Form 7 hanno da poco segnalato agli utilizzatori del programma una grave vulnerabilità, che potrebbe compromettere i siti. Scopriamo insieme il perché e come risolvere questo problema…

Il plugin in questione, consente la creazione e la gestione dei moduli di contatto da poter inserire nei vari siti creati sulla piattaforma WordPress. Sono oltre 5 milioni i siti che lo utilizzano, ma potrebbero anche essere di più.

La versione precedente, rispetto a quest’ultima rilasciata dopo la scoperta della vulnerabilità, presenta una falla durante l’upload dei file prima dell’invio dei moduli interessati. I malintenzionati quindi, potrebbero agire non eticamente rispetto all’utilizzo e quindi sfruttare questa vulnerabilità per caricare virus e malware attraverso il modulo, andando ad intaccare così le cartelle che gestiscono l’upload e addirittura danneggiare lo stesso database.

I siti che non includono la possibilità di caricare dei file nei moduli della loro piattaforma è possibile che siano più al sicuro, in quanto l’attacco potrebbe risultare più difficile. Ad ogni modo, per una maggiore sicurezza, elenchiamo di seguito due procedure essenziali per gli utilizzatori, per prevenire questi e altri problemi relativi a vulnerabilità simili:

  1. Utilizzare plugin di sicurezza con firewall integrati;
  2. Aggiornare, al più presto, la versione 5.3.2 di Contact Form 7.

Directory del plugin Contact Form 7 (v. 5.3.2)

Scroll Up